Đến nội dung


Hình ảnh
- - - - -

Có lisp offset đối tượng sang 2 bên ko ah?


  • Please log in to reply
4 replies to this topic

#1 rongvuong

rongvuong

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 29 December 2010 - 09:34 PM

cho em hỏi có lisp nào giúp các đối tượng mình chọn offset sang 2 bên với khoảng cách mình cho ko ah
ví dụ như tạo tường từ trục có sẵn ah
em mem mới xin giúp đỡ
  • 0

#2 hdg2318

hdg2318

    biết lệnh mirror

  • Members
  • PipPipPip
  • 158 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 29 December 2010 - 10:57 PM

bạn tham khảo bài viết này nhé Here
  • 0

Có 2 cách để nhìn đời:
1 là : coi như chẳng có gì là huyền diệu
2 là : coi như mọi điều đều huyền diệu


Click here


#3 rongvuong

rongvuong

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 30 December 2010 - 06:40 AM

bạn tham khảo bài viết này nhé Here

đã tham khảo rồi ah
trước kia có 1 người cũng hỏi như em và cũng dc đưa tới link đó
nản thật
hok hiểu nhau chi hết
  • 0

#4 meohoang

meohoang

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 811 Bài viết
Điểm đánh giá: 342 (khá)

Đã gửi 30 December 2010 - 08:23 AM

đã tham khảo rồi ah
trước kia có 1 người cũng hỏi như em và cũng dc đưa tới link đó
nản thật
hok hiểu nhau chi hết

Lisp bạn yêu cầu chính là lisp vẽ tường đã có rất nhiều người viết và đưa lên Cadviet bạn nên chịu khó gõ vào tìm kiếm sẽ có
  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 30 December 2010 - 08:56 AM

1 là bạn có thể dùng lisp vẽ tường của a Phamngoctuks nhé, trong mục Viết Lisp theo yêu cầu 2 ^^
2 là bạn có thể dùng lisp mini này, với lựa chọn cho phép giữ hoặc xóa đường gốc.Chúc bạn vui

(defun ssnames (selection_set / num lst)
(repeat (setq num (sslength selection_set))
(setq num (1- num)
lst (cons (ssname selection_set num) lst)
)
)
lst
)

(defun c:oo (/ ss objlst dist)
(setq dist (getdist "\nKhoang cach offset: "))
(princ "\nChon doi tuong offset ")
(setq ss (ssget '((0 . "*LINE"))))
(if ss
(progn
(setq objlst (mapcar 'vlax-ename->vla-object (ssnames ss)))
(initget (+ 1 2 4 64))
;(setq dist (getdist "\nEnter offset distance: "))
(initget (+ 2 4) "Yes No")
(setq kwrd (getkword "\nXoa doi tuong goc hay khong [Yes/No] : "))
(if (null kwrd)
(setq kwrd "No")
)
(foreach obj objlst
(vla-offset obj dist)
(vla-offset obj (* dist -1))
(if (eq kwrd "Yes")
(vla-erase obj)
)
)
)
)
(princ)
)

  • 2

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC